=== debian/changelog ===
pgsphere (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2.

 -- Christoph Berg <myon@debian.org>  Wed, 20 Dec 2023 11:52:33 +0100

pgsphere (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1.

 -- Christoph Berg <myon@debian.org>  Fri, 24 Nov 2023 10:48:12 +0000

pgsphere (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0.
  * B-D on docbook-xsl, fop, libxml2-utils, xsltproc.
  * Fix float8-pass-by-datum on 32-bit.

 -- Christoph Berg <myon@debian.org>  Wed, 15 Nov 2023 10:27:54 +0100

pgsphere (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Sep 2023 17:11:33 +0200

pgsphere (1.3.0-3) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 15:44:16 +0200

pgsphere (1.3.0-2) unstable; urgency=medium

  * Fix overlaps test on i386.
  * Skip moc100 test, too many false positives on various architectures.

 -- Christoph Berg <myon@debian.org>  Thu, 07 Sep 2023 15:48:11 +0200
