=== debian/control ===
Source: pgsphere
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>,
           Markus Nullmeier <mnullmei@vodafonemail.de>,
           Christoph Berg <myon@debian.org>,
Build-Depends: debhelper-compat (= 13),
               docbook-dsssl,
               docbook-xml,
               docbook-xsl,
               flex,
               fop,
               libhealpix-cxx-dev (>= 3.30.0),
               libxml2-utils,
               pkgconf,
               postgresql-all (>= 217~),
               xsltproc,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://pgsphere.github.io/
Vcs-Browser: https://salsa.debian.org/postgresql/pgsphere
Vcs-Git: https://salsa.debian.org/postgresql/pgsphere.git

Package: postgresql-16-pgsphere
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${postgresql:Depends},
Provides: postgresql-pgsphere
Description: Spherical data types for PostgreSQL
 PgSphere, an extension for PostgreSQL, aims at providing uniform
 access to spherical data. It allows for a fast search and analysis for
 objects with spherical attributes in geographical, astronomical, or
 other applications using PostgreSQL.
 .
 By using an SQL interface, PgSphere's users can conveniently manage
 data of geographical objects around the world and astronomical data
 collections like star and other catalogues.
