=== debian/watch ===
version=4
https://github.com/postgrespro/pgsphere/tags .*/(.*).tar.gz
