## pgsphere 1.5.1

=== Makefile ===
--- 
+++ 
@@ -34,12 +34,15 @@
 			  pg_sphere--1.3.0--1.3.1.sql \
 			  pg_sphere--1.3.1--1.4.0.sql \
 			  pg_sphere--1.4.0--1.4.1.sql \
-			  pg_sphere--1.4.1--1.4.2.sql
+			  pg_sphere--1.4.1--1.4.2.sql \
+			  pg_sphere--1.4.2--1.5.0.sql \
+			  pg_sphere--1.5.0--1.5.1.sql
 
 DOCS        = README.pg_sphere COPYRIGHT.pg_sphere
 TESTS       = version tables points euler circle line ellipse poly path box \
               index contains_ops contains_ops_compat bounding_box_gist gnomo \
-              epochprop contains overlaps spoint_brin sbox_brin selectivity
+              epochprop contains overlaps spoint_brin sbox_brin selectivity \
+              knn output_precision
 REGRESS     = init $(TESTS)
 
 PG_CFLAGS	+= -DPGSPHERE_VERSION=$(PGSPHERE_VERSION)
@@ -209,6 +212,12 @@
 pg_sphere--1.4.0--1.4.1.sql pg_sphere--1.4.1--1.4.2.sql:
 	@echo "-- Nothing to upgrade in the schema" > $@
 
+pg_sphere--1.4.2--1.5.0.sql:
+	cat upgrade_scripts/$@.in $^ > $@
+
+pg_sphere--1.5.0--1.5.1.sql:
+	cat upgrade_scripts/$@.in $^ > $@
+
 # end of local stuff
 
 src/sscan.o : src/sparse.c
@@ -254,3 +263,10 @@
 		--excludes=pgindent-excludes.list \
 		--indent=${PGBSDINDENT} \
 		src
+
+pgindent-headers:
+	$(PGINDENT) \
+		--typedefs=pgindent-typedefs.list \
+		--excludes=pgindent-excludes.list \
+		--indent=${PGBSDINDENT} \
+		src/*.h
