=== debian/changelog ===
pgsphere (1.5.1-3) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117310)
  * Fix selectivity test on PostgreSQL 18
  * Push Standards-Version to 4.7.2, no changes needed
  * Remove "Rules-Requires-Root: no" which is no default

 -- Ole Streicher <olebole@debian.org>  Sun, 19 Oct 2025 21:29:52 +0200

pgsphere (1.5.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 20:16:29 +0200

pgsphere (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1.

 -- Christoph Berg <myon@debian.org>  Wed, 01 May 2024 11:31:49 +0200

pgsphere (1.5.1~rc1-1) unstable; urgency=medium

  * New upstream version 1.5.1~rc1.

 -- Christoph Berg <myon@debian.org>  Mon, 29 Apr 2024 14:08:34 +0200
