=== debian/control ===
Source: pgsphere
Standards-Version: 4.7.2
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Ole Streicher <olebole@debian.org>,
 Markus Nullmeier <mnullmei@vodafonemail.de>,
 Christoph Berg <myon@debian.org>,
Section: database
Priority: optional
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 docbook-dsssl,
 docbook-xml,
 docbook-xsl,
 flex,
 fop,
 libhealpix-cxx-dev,
 libxml2-utils,
 pkgconf,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
 xsltproc,
Vcs-Browser: https://salsa.debian.org/postgresql/pgsphere
Vcs-Git: https://salsa.debian.org/postgresql/pgsphere.git
Homepage: https://pgsphere.github.io/

Package: postgresql-18-pgsphere
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-pgsphere,
Description: Spherical data types for PostgreSQL
 PgSphere, an extension for PostgreSQL, aims at providing uniform
 access to spherical data. It allows for a fast search and analysis for
 objects with spherical attributes in geographical, astronomical, or
 other applications using PostgreSQL.
 .
 By using an SQL interface, PgSphere's users can conveniently manage
 data of geographical objects around the world and astronomical data
 collections like star and other catalogues.
