## pgsphere 1.5.2

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,8 @@
 			  pg_sphere--1.4.0--1.4.1.sql \
 			  pg_sphere--1.4.1--1.4.2.sql \
 			  pg_sphere--1.4.2--1.5.0.sql \
-			  pg_sphere--1.5.0--1.5.1.sql
+			  pg_sphere--1.5.0--1.5.1.sql \
+			  pg_sphere--1.5.1--1.5.2.sql
 
 DOCS        = README.pg_sphere COPYRIGHT.pg_sphere
 TESTS       = version tables points euler circle line ellipse poly path box \
@@ -218,6 +219,9 @@
 pg_sphere--1.5.0--1.5.1.sql:
 	cat upgrade_scripts/$@.in $^ > $@
 
+pg_sphere--1.5.1--1.5.2.sql:
+	cat upgrade_scripts/$@.in $^ > $@
+
 # end of local stuff
 
 src/sscan.o : src/sparse.c
