=== debian/changelog ===
pgsphere (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2.
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Sat, 25 Oct 2025 20:48:25 +0300
