=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Section: database
 Priority: optional
 Build-Depends:
+ debhelper-compat (= 13),
  architecture-is-64-bit <!pkg.postgresql.32-bit>,
- debhelper-compat (= 13),
  docbook-dsssl,
  docbook-xml,
  docbook-xsl,
@@ -33,6 +33,8 @@
  ${shlibs:Depends},
 Provides:
  postgresql-pgsphere,
+Breaks:
+ ${postgresql:Breaks},
 Description: Spherical data types for PostgreSQL
  PgSphere, an extension for PostgreSQL, aims at providing uniform
  access to spherical data. It allows for a fast search and analysis for
