=== debian/watch ===
version=4
opts=uversionmangle=s/-rc/~rc/; \
https://github.com/postgrespro/pgsphere/tags .*/(.*).tar.gz
